Sample Accurate Timing (Triggers)
===================================

.. currentmodule:: pyo

Set of objects to manage triggers streams.

A trigger is an audio signal with a value of 1 surrounded by 0s.

TrigXXX objects use this kind of signal to generate different 
processes with sample rate timing accuracy.

*Beat*
-----------------------------------

.. autoclass:: Beat
   :members:

   .. autoclasstoc::

*Change*
-----------------------------------

.. autoclass:: Change
   :members:

   .. autoclasstoc::

*Cloud*
-----------------------------------

.. autoclass:: Cloud
   :members:

   .. autoclasstoc::

*Count*
-----------------------------------

.. autoclass:: Count
   :members:

   .. autoclasstoc::

*Counter*
-----------------------------------

.. autoclass:: Counter
   :members:

   .. autoclasstoc::

*Euclide*
-----------------------------------

.. autoclass:: Euclide
   :members:

   .. autoclasstoc::

*Iter*
-----------------------------------

.. autoclass:: Iter
   :members:

   .. autoclasstoc::

*Metro*
-----------------------------------

.. autoclass:: Metro
   :members:

   .. autoclasstoc::

*NextTrig*
-----------------------------------

.. autoclass:: NextTrig
   :members:

   .. autoclasstoc::

*Percent*
-----------------------------------

.. autoclass:: Percent
   :members:

   .. autoclasstoc::

*Select*
-----------------------------------

.. autoclass:: Select
   :members:

   .. autoclasstoc::

*Seq*
-----------------------------------

.. autoclass:: Seq
   :members:

   .. autoclasstoc::

*Thresh*
-----------------------------------

.. autoclass:: Thresh
   :members:

   .. autoclasstoc::

*Timer*
-----------------------------------

.. autoclass:: Timer
   :members:

   .. autoclasstoc::

*Trig*
-----------------------------------

.. autoclass:: Trig
   :members:

   .. autoclasstoc::

*TrigBurst*
-----------------------------------

.. autoclass:: TrigBurst
   :members:

   .. autoclasstoc::

*TrigChoice*
-----------------------------------

.. autoclass:: TrigChoice
   :members:

   .. autoclasstoc::

*TrigEnv*
-----------------------------------

.. autoclass:: TrigEnv
   :members:

   .. autoclasstoc::

*TrigExpseg*
-----------------------------------

.. autoclass:: TrigExpseg
   :members:

   .. autoclasstoc::

*TrigFunc*
-----------------------------------

.. autoclass:: TrigFunc
   :members:

   .. autoclasstoc::

*TrigLinseg*
-----------------------------------

.. autoclass:: TrigLinseg
   :members:

   .. autoclasstoc::

*TrigRand*
-----------------------------------

.. autoclass:: TrigRand
   :members:

   .. autoclasstoc::

*TrigRandInt*
-----------------------------------

.. autoclass:: TrigRandInt
   :members:

   .. autoclasstoc::

*TrigTableRec*
-----------------------------------

.. autoclass:: TrigTableRec
   :members:

   .. autoclasstoc::

*TrigVal*
-----------------------------------

.. autoclass:: TrigVal
   :members:

   .. autoclasstoc::

*TrigXnoise*
-----------------------------------

.. autoclass:: TrigXnoise
   :members:

   .. autoclasstoc::

*TrigXnoiseMidi*
-----------------------------------

.. autoclass:: TrigXnoiseMidi
   :members:

   .. autoclasstoc::

